Bug 453046

Summary: Update hangs
Product: [Fedora] Fedora Reporter: David Zeuthen <davidz>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 10CC: maderat, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 01:13:54 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Zeuthen 2008-06-26 17:00:37 EDT
I don't use NFS on my system. But for some reason nfs-utils is installed. I just
started a yum update. Had to kill nfslock because my yum update was hanging. See
[1] for details.

<explicit language about the quality of our package management tools removed>

Anyway, our packaging guidelines states something like this: You should never
ever under any circumstance start services in %post / %pre / etc. as it'll break
a number scenarios including chroot installs (think live cd creation etc. etc.).

I believe this bug is also present in F9.

[1]:

  Updating       : nfs-utils                                       [18/76] 

/var/tmp/rpm-tmp.57244: line 13: 21370 Terminated             
/etc/rc.d/init.d/nfslock start > /dev/null
error: %post(nfs-utils-1.1.2-8.fc10.x86_64) scriptlet failed, exit status 143
Comment 1 David Zeuthen 2008-06-26 17:03:08 EDT
(In reply to comment #0)
> I don't use NFS on my system. But for some reason nfs-utils is installed. 

Actually this is not true

# chkconfig --list nfslock 
nfslock        	0:off	1:off	2:off	3:on	4:on	5:on	6:off

Apparently nfslock is started even on desktop live cd installs. Yay. Guess we
need to fix the desktop live cd's.
Comment 2 John Poelstra 2008-06-26 23:01:14 EDT
triaged
Comment 3 Steve Dickson 2008-06-27 10:22:21 EDT
Fixed nfs-utils-1.1.2-9.fc10

Also note the nfslock service is need for the NFS mounts to
work correctly. Turning it off could cause hangs or failures 
if people do NFS mounts from the live CD.

Comment 4 Bug Zapper 2008-11-25 21:28:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Mateusz M. 2008-12-13 10:04:39 EST
bug appear in fc10 full updated and test update 
nfslock -stop init script and i have no idea how to track this bug 
partition format 3 times 

interactive mode wont start when i pres l or i
help change forced interactive in init script

how report this bug?
Comment 6 Bug Zapper 2009-11-18 02:45:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:13:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.